Skip to main content
`Ctrl`+`K`

# TSAdaptCheckStage

checks whether to accept a stage, (e.g. reject and change time step size if nonlinear solve fails or solution vector is infeasible)

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCheckStage(TSAdapt adapt, TS ts, PetscReal t, Vec Y, PetscBool *accept)

Collective

## Input Parameters

- adapt - adaptive controller context

- ts - time stepper

- t - Current simulation time

- Y - Current solution vector

## Output Parameter

- accept - `PETSC_TRUE` to accept the stage, `PETSC_FALSE` to reject

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`

## Level

developer

## Location

src/ts/adapt/interface/tsadapt.c

## Implementations

TSAdaptCheckStage_TSPseudo() in src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages